Bug 107971 - 'Shapes' text is gone from Modify menu
Summary: 'Shapes' text is gone from Modify menu
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.5.0 target:5.4.0.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2017-05-20 12:08 UTC by Xisco Faulí
Modified: 2017-06-13 15:45 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2017-05-20 12:08:50 UTC
Steps:
1. Open Draw
2. Go to Modify menu

Observed behaviour: 'Shapes' text is gone

Reproduced in

Version: 5.4.0.0.alpha1+
Build ID: 74d2e606fd3605fe0a585f596eaa215ae4e20d18
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk3; 
Locale: en-US (ca_ES.UTF-8); Calc: group
Comment 1 Xisco Faulí 2017-05-20 12:10:24 UTC
Regression introduced by:

author	Noel Grandin <noel.grandin@collabora.co.uk>	2017-03-27 08:16:02 (GMT)
committer	Noel Grandin <noel.grandin@collabora.co.uk>	2017-03-28 06:40:51 (GMT)
commit	f5738518a6ff5321d4d35d9bed4a640ae0a6ae9a (patch)
tree	5936ab5edd4f98ca5aba041658d20e2f2d17bcd1
parent	7c0054f1b7c3c475bff7a5adfdea0feaecf20748 (diff)
remove unhandled SID commands from svx
In this case, also remove those unhandled commands which are present in
a *Commands.xcu file, but not in any other kind of .xcu file.

bisected with bibisect-linux-64-5.4


Adding Cc: to Noel Grandin
Comment 2 Commit Notification 2017-05-23 17:32:30 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=161b42efa95ac353fe0f800b2dea5ac495e8a55a

tdf#107971 - 'Shapes' text is gone from Modify menu

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2017-05-23 19:53:45 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5d3f27c536e514523cfe85b26fa98da87ab984c4&h=libreoffice-5-4

tdf#107971 - 'Shapes' text is gone from Modify menu

It will be available in 5.4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2017-06-13 15:45:30 UTC
Verified in

Version: 5.5.0.0.alpha0+
Build ID: 6ab249ea6aecef5d3f35d624622a368061cad9c3
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group